List back-office users
curl --request GET \
--url https://api.next.orenda.finance/v1/access-management/bo-users \
--header 'Authorization: Bearer <token>' \
--header 'x-program-id: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-program-id': '<api-key>'}
};
fetch('https://api.next.orenda.finance/v1/access-management/bo-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.next.orenda.finance/v1/access-management/bo-users"
headers = {
"Authorization": "Bearer <token>",
"x-program-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": [
{
"userId": "usr_6a3b9c2d",
"email": "ada.lovelace@example.com",
"identity": "ada.lovelace@example.com",
"roleAlias": "ADMIN",
"roleId": "role_admin",
"programId": "prog_orenda_eu"
},
{
"userId": "usr_8e2f1a6c",
"email": "grace.hopper@example.com",
"identity": "grace.hopper@example.com",
"roleAlias": "OPERATOR",
"roleId": "role_operator",
"programId": "prog_orenda_eu"
}
],
"nextToken": null
}{
"success": false,
"code": "<string>",
"message": "<string>"
}Introspection
List back-office users
Lists all back-office users in the program, with cursor pagination.
GET
/
v1
/
access-management
/
bo-users
List back-office users
curl --request GET \
--url https://api.next.orenda.finance/v1/access-management/bo-users \
--header 'Authorization: Bearer <token>' \
--header 'x-program-id: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-program-id': '<api-key>'}
};
fetch('https://api.next.orenda.finance/v1/access-management/bo-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.next.orenda.finance/v1/access-management/bo-users"
headers = {
"Authorization": "Bearer <token>",
"x-program-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": [
{
"userId": "usr_6a3b9c2d",
"email": "ada.lovelace@example.com",
"identity": "ada.lovelace@example.com",
"roleAlias": "ADMIN",
"roleId": "role_admin",
"programId": "prog_orenda_eu"
},
{
"userId": "usr_8e2f1a6c",
"email": "grace.hopper@example.com",
"identity": "grace.hopper@example.com",
"roleAlias": "OPERATOR",
"roleId": "role_operator",
"programId": "prog_orenda_eu"
}
],
"nextToken": null
}{
"success": false,
"code": "<string>",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The program the request acts on.
⌘I